<article>
  <section class="header">
    <h1>
      $title$
    </h1>
    $if(date)$
    <p>
      Posted on $date$
    </p>
    $endif$
    $if(author)$
    <p>
      by $author$
    </p>
    $endif$
  </section>
  <section>
    $body$
  </section>
</article>